{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "<program name>";
  cfg = config.dots.${program};
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {

    # enable with home-manager
    programs.${program} = {
      enable = true;
    };

    # just install package
    home.packages = with pkgs; [];

  };
}
